Forge Home

globus

Installs and configures globus

7,748 downloads

7,577 latest version

4.4 quality score

We run a couple of automated
scans to help you access a
module's quality. Each module is
given a score based on how well
the author has formatted their
code and documentation and
modules are also checked for
malware using VirusTotal.

Please note, the information below
is for guidance only and neither of
these methods should be considered
an endorsement by Puppet.

Version information

  • 0.2.0 (latest)
  • 0.1.0
released Jun 4th 2015
This version is compatible with:
  • , ,

Start using this module

  • r10k or Code Manager
  • Bolt
  • Manual installation
  • Direct download

Add this module to your Puppetfile:

mod 'CERNOps-globus', '0.2.0'
Learn more about managing modules with a Puppetfile

Add this module to your Bolt project:

bolt module add CERNOps-globus
Learn more about using this module with an existing project

Manually install this module globally with Puppet module tool:

puppet module install CERNOps-globus --version 0.2.0

Direct download is not typically how you would use a Puppet module to manage your infrastructure, but you may want to download the module in order to inspect the code.

Download

Documentation

CERNOps/globus — version 0.2.0 Jun 4th 2015

Puppet Forge Build Status

CERNOps-globus

Overview

Installs globus packages and configures them.

Setup

What globus affects

  • Installs the package globus-gssapi-gsi
  • Completly controls the file /etc/grid-security/gsi.conf

Usage

class{'globus':
  name_compatibility  => 'HYBRID'
}

Parameters for Globus Class

  • gssapi_gsi_pkgversion Package ensure value for globus-gssapi-gsi, defaults to present.
  • force_tls Sets the FORCE_TLS value in gsi.conf, defaults to false.
  • name_compatibility Must be one of HYBRID, STRICT_RFC2818 or STRICT_GT2, defaults to STRICT_RFC2818 for gsi.conf.
  • ciphers An array of CIPHERS , defaults to HIGH for gsi.conf
  • server_cipher_order, boolean, defaults to true for gsi.conf

Tests

To run standalone tests

bundle install
bundle exec rake validate
bundle exec rake lint
bundle exec rake spec

The acceptance tests by default use vagrant and vargrant-libvirtd so ensure they are working or provide beaker configuration for your own hypervisor.

This example mutates the virtualbox images from puppetlabs into ones suitable for libvirt.

vagrant plugin install vagrant-mutate
vagrant mutate https://vagrantcloud.com/puppetlabs/boxes/centos-6.6-64-nocm/versions/1.0.1/providers/virtualbox.box libvirt
vagrant box repackage virtualbox libvirt 0
vagrant box add puppetlabs/centos-6.6-64-nocm ./package.box
bundle install
BEAKER_debug=yes bundle exec rspec spec/acceptance
# or with docker
BEAKER_debug=yes BEAKER_setfile=spec/acceptance/nodesets/docker.yml bundle exec rspec spec/acceptance

License

Apache II License for all files except automaster.aug which is copied from the http://augeas.net project. The automaster.aug file is LGPL v2+.

Contact

Steve Traylen steve.traylen@cern.ch

Support

https://github.com/cernops/puppet-globus